import { Buff, Bytes } from '@cmdcode/buff-utils';
import { PublicKey, SecretKey } from '@cmdcode/crypto-utils';
interface SessionConfig {
    host?: string;
    timeout: number;
    throws: boolean;
}
interface Token {
    pubkey: Buff;
    sig: Buff;
    time: Buff;
}
declare function sign(secret: Bytes, message: string): string;
declare function decode(token: string): Token;
declare function verify(token: string, message: string, config?: Partial<SessionConfig>): boolean;
export declare class CryptoSession {
    static decode: typeof decode;
    static sign: typeof sign;
    static verify: typeof verify;
    readonly _secret: SecretKey;
    readonly config: {
        host?: string | undefined;
        timeout: number;
        throws: boolean;
    };
    constructor(secret: Bytes, config?: Partial<SessionConfig>);
    get pubkey(): PublicKey;
    sign(message: string): string;
    verify(token: string, message: string): boolean;
    fetch(input: RequestInfo | URL, init?: RequestInit | undefined): Promise<Response>;
}
export {};
//# sourceMappingURL=fetch.d.ts.map